今天用新手机,运行appium 1.6.3 测试,发现日志打印如下错误:[debug] [ADB] Creating ADB subprocess with args: ["-P",5037,"-s","xxxxxxxxxxx"...
阅读(49) 评论(0)
本文基于node 6.9.x 使用的protobuf.js的版本 5.0.2 因为layabox 1.6.x引擎自带的protobuf.js的版本是5.0.1,考虑两边兼容,所以我在node服务器端使用5.0.2 我的目标用...
阅读(56) 评论(0)
node 6.9.x已经支持99%的ES2015的特性,但是ES2017中的async和await,import是不支持,但是要想使用,则需要将ES2017的代码,降级.网上很多例子,都是把代码降级到ES5,结果,就很难读了.其...
阅读(51) 评论(0)
从ES2015开始,javascript默认提供了Set,Map,WeakSet,WeakMap 本文所有的例子都是在node.js 6.9.x下运行通过  在程序实现中,其实Set和Map操作非常多了,在C++的...
阅读(109) 评论(0)
从appium 1.3.3后,就支持unicode输入,也就是可以输入中文了. 实际运行环境: appium 1.6.3 node.js 6.9.2 脚本执行则是 appium 1.6.3带的node.js的例子 很...
阅读(86) 评论(0)
Node.js一个非常强大的地方,也就npm了. npm is the package manager for JavaScript. Node.js的包分为两部分,一个是全局的包,一个是本地项目的包.一般来说,我们只有本...
阅读(57) 评论(0)
(这些例子已经在node.js 6.9.x下,运行通过)js中循环语句有forEach,for in,for of 三种了一般的遍历数组的方法:[javascript] view plain copyvar&...
阅读(58) 评论(0)
由于网络的问题,用npm install appium-selendroid-driver会卡在http://repo1.maven.org/maven2/io/selendroid/selendroid-standalone/...
阅读(53) 评论(0)
1.下载appium 1.6.3 安装所需要依赖库2.默认情况下,appium是使用appium-gulp-plugins将代码转由es2015+转换为es5它用上了es2017的特性:await和async但是用它调用gulp...
阅读(59) 评论(0)
1.很久以前做web开发的时候,用过js,主要是在前端检查输入的数据是否合法。2.那个时候,js的兼容性不好,不能大量写程序今天因为工作原因,了解node.js,发现,js已经超出你想像.1.因为V8,使得js的性能得到大幅的提...
阅读(59) 评论(0)
首先吐曹一下,baidu,就是什么都找不到.虽然被医院事件整改了,但是搜索结果还是一如既往的2.后来没办法,只有想办法访问香港的google,一下子就找到解决问题了.因为ipv6的问题,看看到cocos3.11发布了,就想试用一...
阅读(75) 评论(0)
本文地址:http://www.cppblog.com/zdhsoft/archive/2016/04/12/213238.html用cococstudio编辑的UI,都是带Touch事件的,这样,使得我们编写UI逻辑处理简单很...
阅读(60) 评论(0)
本文地址:http://www.cppblog.com/zdhsoft/archive/2016/04/08/213211.aspx因工作需要,转战cocos2dx 2.2.6的lua版本。对于lua倒是不难,很容易上手。安装了...
阅读(69) 评论(0)
本文地址:http://www.cppblog.com/zdhsoft/archive/2014/09/03/208216.html本文基于cocos2dx 3.2cocos2dx 提供了一个基于xml的用户数据存贮类,给基于c...
阅读(134) 评论(0)
本文地址:http://www.cppblog.com/zdhsoft/archive/2014/08/23/208104.html经过几天的填坑,终于将现有的项目由cocos2dx 2.2.2移到cocos2dx 3.2,差点...
阅读(109) 评论(0)
上一页 1 2 3 4 5 6 下一页共6页  到第